View Issue Details

IDProjectCategoryView StatusLast Update
17090Bug reportsErgonomypublic2021-03-15 15:37
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.4.4 
Summary17090: Email continue not shown clearly after activation
DescriptionWhen click on continue on email : the page are not updated. Then user can think nothing happen
Steps To Reproduce
    Create a survey
    Activate token
    Create 1000 dummy token with valid (or invalid) email
    Click on send invitation
    Send 50 invitation and click on continue : nothing seems to happen


+ screencast
Additional InformationWhen click on continue : same event than get to 0 seconds must happen

This is a clone from 16979
This one applies to LS4
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.4
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16979 closedgabrieljenik Email continue not shown clearly after activation 

Activities

gabrieljenik

gabrieljenik

2021-02-12 16:36

manager   ~62223

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1763
ollehar

ollehar

2021-02-19 15:56

administrator   ~62410

> See screencast

??
ollehar

ollehar

2021-02-19 15:57

administrator   ~62411

Screencast in cloned issue does NOT contain any information on how to reproduce. %$#@%@#$
DenisChenu

DenisChenu

2021-02-19 16:02

developer   ~62413

You click on "Continue" and : visually nothing is updated … even if action is done (browser load next action)
DenisChenu

DenisChenu

2021-02-19 16:03

developer   ~62415

> Then user can think nothing happen
gabrieljenik

gabrieljenik

2021-03-08 18:44

manager   ~62903

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31296
gabrieljenik

gabrieljenik

2021-03-15 14:30

manager   ~63364

> You click on "Continue" and : visually nothing is updated … even if action is done (browser load next action)

Hi Denis. Sorry, i don't understand.
When user clicks continue, the next set of emails is sent.
What do you think is an issue?

Thanks
DenisChenu

DenisChenu

2021-03-15 15:00

developer   ~63365

Video : https://bugs.limesurvey.org/view.php?id=16979

I think you understand : https://github.com/LimeSurvey/LimeSurvey/pull/1763

> When user clicks continue, the next set of emails is sent.

Yes, but not visually : before your fix countdown still show time and continue still active.
lime_release_bot

lime_release_bot

2021-03-15 15:37

administrator   ~63373

Fixed in Release 4.4.13+210315

Related Changesets

LimeSurvey: master af49a2ed

2021-03-08 18:44:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17090: Email continue not shown clearly after activation (#1763) Affected Issues
17090
mod - application/views/admin/token/emailwarning.php Diff File

Issue History

Date Modified Username Field Change
2021-02-12 16:33 gabrieljenik New Issue
2021-02-12 16:33 gabrieljenik Issue generated from: 16979
2021-02-12 16:33 gabrieljenik Relationship added related to 16979
2021-02-12 16:36 gabrieljenik Note Added: 62223
2021-02-19 15:56 ollehar Note Added: 62410
2021-02-19 15:57 ollehar Assigned To => ollehar
2021-02-19 15:57 ollehar Status new => feedback
2021-02-19 15:57 ollehar Note Added: 62411
2021-02-19 16:02 DenisChenu Note Added: 62413
2021-02-19 16:03 DenisChenu Note Added: 62415
2021-03-08 15:27 ollehar Steps to Reproduce Updated View Revisions
2021-03-08 15:28 ollehar Priority none => normal
2021-03-08 18:44 gabrieljenik Changeset attached => LimeSurvey master af49a2ed
2021-03-08 18:44 gabrieljenik Note Added: 62903
2021-03-08 18:44 gabrieljenik Assigned To ollehar => gabrieljenik
2021-03-08 18:44 gabrieljenik Resolution open => fixed
2021-03-15 14:30 gabrieljenik Note Added: 63364
2021-03-15 15:00 DenisChenu Note Added: 63365
2021-03-15 15:37 lime_release_bot Note Added: 63373
2021-03-15 15:37 lime_release_bot Status feedback => closed